<?php
$isMaster = $this->environment()->getClient()->isMaster();
?>

    <ul class="breadcrumb">
        <li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
        <li><?= $this->translate('analysis_module_title') ?></li>
        <li class="active"><?= $this->translate('analysis_time_module_title') ?></li>
    </ul>

    <h1 class="page-title">
        <?= $this->icon('analysis') ?> <?= $this->translate('analysis_time_module_title') ?>
    </h1>

    <div class="row row-padding">
        <div class="col-xs-12">
            <div class="panel">
                <div class="panel-body">
                    <div ng-controller="timeController as self" ng-init="self.init('<?= $this->authStorage()->getUser()->getId() ?>')">
                        <?php if ($this->acl()->isAllowed('application:e:query:r')): ?>
                            <div class="row">
                                <div class="col-md-4 col-md-offset-8">
                                    <div class="queries-toggler little-panel">
                                        <div href="#queries-collapsed-node-tree"
                                             data-toggle="collapse"
                                             class="title">
                                            <i class="fa fa-shopping-basket fa-fw"></i>
                                            Requêtes
                                        </div>

                                        <div id="queries-collapsed-node-tree"
                                             class="body collapse">
                                            <div ng-if="self.loadingQueries"
                                                 class="text-center">
                                                <i class="fa fa-spin fa-circle-o-notch"></i>
                                            </div>

                                            <ul class="list-unstyled">
                                                <li ng-repeat="query in self.queries">
                                                    <a ng-click="self.loadQuery(query)"
                                                       class="pointer">
                                                        <i ng-if="query.shared" class="fa fa-share-alt"></i> {{ query.name }}
                                                    </a>

                                                    <i ng-click="self.deleteQuery(query)" ng-if="query._rights.delete"
                                                       tooltip="Supprimer"
                                                       class="fa fa-trash pointer pull-right">
                                                    </i>
                                                </li>
                                            </ul>

                                            <form ng-submit="self.saveQuery()"
                                                  name="queryForm">
                                                <div class="input-group input-group-sm">
                                                    <input ng-model="self.query.name"
                                                           placeholder="Nom de la requête"
                                                           type="text"
                                                           class="form-control"
                                                           required/>

                                                    <span class="input-group-btn">
                                                        <?php if (!$this->acl()->onlyOwned('application:e:query:r') && !$this->acl()->onlyOwned('application:e:query:u')) : ?>
                                                            <label class="checkbox-inline" style="margin: 0 10px">
                                                                <input type="checkbox" ng-model="self.query.shared"/>
                                                                Partagée ?
                                                            </label>
                                                        <?php endif; ?>
                                                        <button ng-disabled="self.loadingSaveQuery"
                                                                type="submit"
                                                                class="btn btn-submit">
                                                            <i ng-if="self.loadingSaveQuery"
                                                               class="fa fa-spin fa-circle-o-notch">
                                                            </i>
                                                            Enregistrer
                                                        </button>
                                                    </span>
                                                </div>

                                                <field-errors field="name"
                                                              errors="errors.fields">
                                                </field-errors>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php endif ?>
                        <div class="row">
                            <div class="col-md-4">
                                <div ng-controller="filterController as filter"
                                     ng-init="filter.init('user')"
                                     class="table-filters little-panel">
                                    <div class="title" data-toggle="collapse" href="#filters-collapsed-user">
                                        <?= $this->icon('filters', 'fa-fw') ?>
                                        <?= $this->translate('filters') ?>
                                        <?= ucfirst($this->translate('user_entities')) ?>
                                    </div>
                                    <div id="filters-collapsed-user" class="body collapse">
                                        <?= $this->tableFilter('self.filters.user', $this->userFilters($isMaster ? ['role'] : [])); ?>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div ng-controller="projectFilterController as filter"
                                     ng-init="filter.init('project')"
                                     class="table-filters little-panel">
                                    <div class="title" data-toggle="collapse" href="#filters-collapsed-project">
                                        <?= $this->icon('filters', 'fa-fw') ?>
                                        <?= $this->translate('filters') ?>
                                        <?= ucfirst($this->translate('project_entities')) ?>
                                    </div>
                                    <div id="filters-collapsed-project" class="body collapse project">
                                        <?= $this->tableFilter('self.filters.project', $this->projectFilters($isMaster ? ['networkAccessible', 'managers', 'validators', 'members', 'actors', 'ownership', 'parent', 'financer', 'level', 'budgetStatus', '@timesheet'] : ['@timesheet'])); ?>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div ng-controller="filterController as filter"
                                     ng-init="filter.init('timesheet')"
                                     class="table-filters little-panel">
                                    <div class="title" data-toggle="collapse" href="#filters-collapsed-timesheet">
                                        <?= $this->icon('filters', 'fa-fw') ?>
                                        <?= $this->translate('filters') ?>
                                        <?= ucfirst($this->translate('timesheet_entities')) ?>
                                    </div>
                                    <div id="filters-collapsed-timesheet" class="body collapse">
                                        <?= $this->tableFilter('self.filters.timesheet', $this->timesheetFilters($isMaster ? ['user', 'project', 'type'] : ['user', 'project'])); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row separator">
                            <div class="col-xs-12">
                                <div class="row">
                                    <div class="col-md-4 col-md-offset-4">
                                        <button class="btn" ng-click="self.resetFilters()">
                                            <?= $this->translate('table_filter_reset_button') ?>
                                        </button>

                                        <button class="btn pull-right" ng-click="self.applyFilters()">
                                            <?= $this->icon('search', 'fa-fw') ?>
                                            <?= $this->translate('table_filter_button') ?>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div>
                            <?= $this->translate('number_filters') ?>
                        </div>
                        <div class="row">
                            <div class="col-xs-12">
                                <ul class="nav nav-tabs separator">
                                    <li class="active">
                                        <a href="#timesheet" data-toggle="tab" ng-click="self.switchTab('timesheet')" ng-class="self.loading ? 'not-active' : ''">
                                            <?= ucfirst($this->translate('timesheet_entities')) ?>
                                        </a>
                                    </li>
                                    <?php if ($this->module()->isActive('project') || $isMaster) : ?>
                                        <li>
                                            <a href="#project" data-toggle="tab" ng-click="self.switchTab('project')" ng-class="self.loading ? 'not-active' : ''">
                                                <?= ucfirst($this->translate('analysis_time_project_repartition')) ?>
                                            </a>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($this->module()->isActive('project') && $this->module()->isActive('keyword') || $isMaster) : ?>
                                        <li>
                                            <a href="#projectKeyword" data-toggle="tab" ng-click="self.switchTab('projectKeyword')" ng-class="self.loading ? 'not-active' : ''">
                                                <?= ucfirst($this->translate('analysis_time_project_keywords_repartition')) ?>
                                            </a>
                                        </li>
                                    <?php endif; ?>
                                    <li>
                                        <a href="#user" data-toggle="tab" ng-click="self.switchTab('user')" ng-class="self.loading ? 'not-active' : ''">
                                            <?= ucfirst($this->translate('analysis_time_user_repartition')) ?>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#month" data-toggle="tab" ng-click="self.switchTab('month')" ng-class="self.loading ? 'not-active' : ''">
                                            <?= ucfirst($this->translate('analysis_time_month_repartition')) ?>
                                        </a>
                                    </li>
                                    <?php if ($this->module()->isActive('keyword') || $isMaster) : ?>
                                        <li>
                                            <a href="#keyword" data-toggle="tab" ng-click="self.switchTab('keyword')" ng-class="self.loading ? 'not-active' : ''">
                                                <?= ucfirst($this->translate('analysis_time_keywords_repartition')) ?>
                                            </a>
                                        </li>
                                    <?php endif; ?>
                                    <?php if ($this->module()->isActive('map') || $isMaster) : ?>
                                        <li>
                                            <a href="#territory" data-toggle="tab" ng-click="self.switchTab('territory')" ng-class="self.loading ? 'not-active' : ''">
                                                <?= ucfirst($this->translate('analysis_time_territories_repartition')) ?>
                                            </a>
                                        </li>
                                    <?php endif; ?>
                                    <li>
                                        <a class="panel-heading-actions" tooltip="<?= $this->translate('tooltip_export_xls') ?>" ng-class="self.loading ? 'not-active' : ''">
                                            <?= $this->icon('excel', 'fa-fw pointer', ['ng-click' => 'self.showExportModal()']) ?>
                                        </a>
                                    </li>
                                </ul>
                                <div class="tab-content">
                                    <div id="timesheet" class="tab-pane active">
                                        <?= $this->partial('analysis/time/partial/timesheet.phtml') ?>
                                    </div>
                                    <?php if ($this->module()->isActive('project') || $isMaster) : ?>
                                        <div id="project" class="tab-pane">
                                            <?= $this->partial('analysis/time/partial/project.phtml') ?>
                                        </div>
                                    <?php endif; ?>
                                    <?php if ($this->module()->isActive('project') && $this->module()->isActive('keyword') || $isMaster) : ?>
                                        <div id="projectKeyword" class="tab-pane">
                                            <?= $this->partial('analysis/time/partial/project-keyword.phtml') ?>
                                        </div>
                                    <?php endif; ?>
                                    <div id="user" class="tab-pane">
                                        <?= $this->partial('analysis/time/partial/user.phtml') ?>
                                    </div>
                                    <div id="month" class="tab-pane">
                                        <?= $this->partial('analysis/time/partial/month.phtml') ?>
                                    </div>
                                    <?php if ($this->module()->isActive('keyword') || $isMaster) : ?>
                                        <div id="keyword" class="tab-pane">
                                            <?= $this->partial('analysis/time/partial/keyword.phtml') ?>
                                        </div>
                                    <?php endif; ?>
                                    <?php if ($this->module()->isActive('map') || $isMaster) : ?>
                                        <div id="territory" class="tab-pane">
                                            <?= $this->partial('analysis/time/partial/territory.phtml') ?>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                        <div class="modal" id="exportModal">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title"><?= $this->translate('time_export_module_title') ?></h4>
                                    </div>
                                    <div class="modal-body">
                                        <div class="row">
                                            <div class="col-xs-12">
                                                <select class="form-control" ng-model="self.exportModel">
                                                    <?php foreach ($this->exports as $export) {
                                                        echo '<option value="' . $export->getId() . '">' . $export->getName() . '</option>';
                                                    } ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button class="btn btn-default" type="button" data-dismiss="modal">
                                            <?= $this->translate('close') ?>
                                        </button>

                                        <button class="btn btn-submit" ng-disabled="self.loading.export || !self.exportModel" ng-click="self.export()">
                                            <?= $this->icon('loading', '', ['ng-if' => 'self.loading.export']) ?>
                                            <?= $this->translate('export') ?>
                                        </button>

                                        <form id="exportForm" action="<?= $this->url('timesheet/export/do') ?>" method="POST" target="_blank">
                                            <input type="hidden" name="export" value="{{self.exportModel}}"/>
                                            <input type="hidden" name="userFilters" value="{{self.filtersApplied.user}}"/>
                                            <input type="hidden" name="projectFilters" value="{{self.filtersApplied.project}}"/>
                                            <input type="hidden" name="filters" value="{{self.filtersApplied.timesheet}}"/>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php
$this->angular('js/src/analysis/controller/time.js');
$this->angular('js/src/analysis/controller/projectFilter.js');

$this->angular('js/src/application/query/service/query.js');

$this->angular('js/src/project/service/project.js');
$this->angular('js/src/project/directive/projectSelect.js');

$this->angular('js/src/user/service/role.js');
$this->angular('js/src/user/directive/roleSelect.js');

$this->angular('js/src/keyword/service/group.js');
$this->angular('js/src/keyword/service/keyword.js');
$this->angular('js/src/keyword/directive/keywordSelect.js');
$this->angular('js/src/keyword/directive/groupSelect.js');

$this->angular('js/src/user/service/user.js');
$this->angular('js/src/user/directive/userSelect.js');

$this->angular('js/src/directory/directive/structureSelect.js');
$this->angular('js/src/directory/service/structure.js');

$this->angular('js/src/map/directive/territorySelect.js');
$this->angular('js/src/map/service/territory.js');

$this->angular('js/src/budget/directive/budgetStatusSelect.js');
$this->angular('js/src/budget/service/budgetStatus.js');

$this->angular('js/src/project/directive/templateSelect.js');
$this->angular('js/src/project/service/template.js');

$this->angular('js/src/analysis/controller/time/keyword.js');
$this->angular('js/src/analysis/controller/time/project.js');
$this->angular('js/src/analysis/controller/time/projectKeyword.js');
$this->angular('js/src/analysis/controller/time/territory.js');
$this->angular('js/src/analysis/controller/time/timesheet.js');
$this->angular('js/src/analysis/controller/time/user.js');
$this->angular('js/src/analysis/controller/time/month.js');

$this->angular('js/src/time/service/settingsTime.js');
$this->angular('js/src/time/directive/settingsTimeSelect.js');

/** Configuration */
$this->angular('js/src/application/configuration/service/configuration.js');